local mod = RW:Boss("Magmaw", "Blackwing Descent")
local L

mod.BossIcon = [[Interface\ICONS\ability_hunter_pet_worm]]

---------------------------
-- Variables

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(41570)
	self:SetWin()
	
	-- Pillar of Flame 78006
    self:RegisterAlert("wPoF", self:CastWarning(78006))
    self:RegisterAlert("tPoFCD", self:CDTimer(35, 78006))
	
	-- Mangle
	self:RegisterAlert("tMangleCD", self:CDTimer(95, 91912))
	self:RegisterAlert("tMangleDur", self:DurTargetTimer(30, 91912))
	self:RegisterAlert("wMangle", self:CastWarning(91912))
	
	-- Molten Tantrum 78403
end

---------------------------
-- Locals

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("PoF", 78006)
	self:Track("Mangle", 91912)
end

function mod:PoF(event, args)
    if event == "SPELL_AURA_APPLIED" then
        self:Call("wPoF", "Show")
        self:Call("tPoFCD", "Start")		
    end
end

function mod:Mangle(event, args)
	if event == "SPELL_AURA_APPLIED" then
		self:Call("tMangleCD", "Start")
		self:Call("tMangleDur", "Start", args.dName)
		self:Call("wMangle", "Show")
	end
end
